from typing import Dict, Final

from edge.webserver.sysconf.dgmod.mg.dgconf.mgd_halt import HaltConfBuilder
from edge.webserver.sysconf.dgmod.mg.dgconf.mgd_unit import UnitConfBuilder
from edge.webserver.sysconf.dgmod.mg.uiconf import IUiConfProvider


class _UiConfProvider(IUiConfProvider):
    def __init__(self, uimod_id: str, uiconf: Dict) -> None:
        self._uimod_id: Final[str] = uimod_id
        self._uiconf: Final[Dict] = uiconf

    def setup_builders(self,
                       unit_builder: UnitConfBuilder,
                       halt_builder: HaltConfBuilder) -> None:

        pri_jnode: Dict = self._uiconf['ro']
        vendor: str = pri_jnode.get('vendor') or 'zonechecker'
        if vendor == 'zonechecker':
            unit_builder.setup_vst_bus([
                f'mg{unit_builder.uimod_id}-zc{self._uimod_id}-scene'
            ])


RedlightUiConfProvider = _UiConfProvider
RailroadUiConfProvider = _UiConfProvider
