from typing import Dict, Final

from edge.webserver.sysconf.dgmod.rn.rn_main import MainConfBuilder
from edge.webserver.sysconf.dgmod.rn.rn_setupstore import SetupStoreConfBuilder
from edge.webserver.sysconf.dgmod.rn.uiconf import IUiConfProvider


class RoadwayUiConfProvider(IUiConfProvider):
    def __init__(self, uimod_id: str, uiconf: Dict) -> None:
        self._uimod_id: Final[str] = uimod_id
        self._uiconf: Final[Dict] = uiconf

    def setup_builders(self, main_builder: MainConfBuilder, ss_builder: SetupStoreConfBuilder) -> None:
        pub_jnode: Dict = self._uiconf['rw']
        args_jnode: Dict = pub_jnode['args']
        main_builder.setup_roadway__conf(args_jnode)
