from typing import Dict

from renderer.types.ra import RaSceneItem, RaMargin


def decode__ra_scene_item(jnode: Dict) -> RaSceneItem:
    """
    :param jnode:
        TrScene#/Ra/:index
        TrScene#/LrRa/:index/Ra
    """
    rel_im_x, rel_im_y = jnode['xy']
    ra_speed = int(jnode['speed'])
    ra_len = int(jnode['len'])
    ra_ltrb = RaMargin.unpack(jnode['r'])

    return RaSceneItem(float(rel_im_x), float(rel_im_y), ra_speed, ra_len, ra_ltrb)
