from typing import List, Tuple

from edge.types.shape.quad import QuadI


class LrSceneItem:
    def __init__(self, lr_oid: int, lr_dir: int, lr_text: str, lr_quad: QuadI, lr_trace: List) -> None:
        self.lr_oid = lr_oid
        self.lr_dir = lr_dir
        self.lr_text = lr_text
        self.lr_quad = lr_quad
        self.lr_trace = lr_trace

    def map_bbox_ref(self, source_im_w: int, source_im_h: int, target_im_w: int, target_im_h: int) -> Tuple[int, int]:
        return self.lr_quad.map_bbox_ref(source_im_w, source_im_h, target_im_w, target_im_h)

    def map_bbox_ref2(self, source_im_w: int, source_im_h: int, target_im_w: int, target_im_h: int) -> Tuple[int, int]:
        return self.lr_quad.map_bbox_ref2(source_im_w, source_im_h, target_im_w, target_im_h)
